tenant
Stable. Describes behaviour that is built and covered by tests in this repository.
PUT /v1/tenant/invoice-logo #
Draw a READY invoice_logo asset on the tenant's invoice PDFs
Request body
| Field | Type | Description |
|---|---|---|
asset_id required | string · uuid |
Example
{
"asset_id": "0192f0b4-6f6e-7c3a-9a3e-6a1f2b3c4d5e"
}Responses
| Status | Meaning | Body |
|---|---|---|
200 | OK | SetInvoiceLogoResponse |
404 | Error envelope | Error |
409 | Error envelope | Error |
Example response
{
"invoice_logo_asset_id": "string"
}curl
curl -X PUT https://YOUR-API-ADDRESS/v1/tenant/invoice-logo \
-H "Authorization: Bearer $PAYRUDDER_API_KEY" \
-H "Content-Type: application/json" \
-d '{"asset_id":"0192f0b4-6f6e-7c3a-9a3e-6a1f2b3c4d5e"}'DELETE /v1/tenant/invoice-logo #
Remove the invoice logo
Responses
| Status | Meaning | Body |
|---|---|---|
200 | OK | ClearInvoiceLogoResponse |
Example response
{
"invoice_logo_asset_id": "string"
}curl
curl -X DELETE https://YOUR-API-ADDRESS/v1/tenant/invoice-logo \
-H "Authorization: Bearer $PAYRUDDER_API_KEY"Models
ClearInvoiceLogoResponse
| Field | Type | Description |
|---|---|---|
invoice_logo_asset_id required | string |
Error
| Field | Type | Description |
|---|---|---|
error required | object |
SetInvoiceLogoRequest
| Field | Type | Description |
|---|---|---|
asset_id required | string · uuid |
SetInvoiceLogoResponse
| Field | Type | Description |
|---|---|---|
invoice_logo_asset_id required | string |